Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyDocTemplateEngine

- org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

-     public class GroovyDocTemplateEngine
      extends Object

  Process Groovydoc templates.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)`
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `copyBinaryResource(String template, String destFileName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)

    - #### public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)

  - ### Method Detail

    - #### public void copyBinaryResource(String template, String destFileName)